curl -X PATCH "https://your-collabase.ch/api/v1/crm/tasks/cm3task001" \
-H "Authorization: Bearer cb_xYz123ABCD..." \
-H "Content-Type: application/json" \
-d '{ "status": "DONE" }'
{ "data": { "id": "cm3task001", "status": "DONE" } }
{ "error": { "code": "NOT_FOUND", "message": "Task not found" } }
Update CRM task
Change the title, description, due date, status, assignees or records of a task.
PATCH
/
api
/
v1
/
crm
/
tasks
/
{id}
curl -X PATCH "https://your-collabase.ch/api/v1/crm/tasks/cm3task001" \
-H "Authorization: Bearer cb_xYz123ABCD..." \
-H "Content-Type: application/json" \
-d '{ "status": "DONE" }'
{ "data": { "id": "cm3task001", "status": "DONE" } }
{ "error": { "code": "NOT_FOUND", "message": "Task not found" } }
Changes a task. Send only what changes.
Scope
crm:write. The token owner needs the right to change the task.Path parameters
Request body
Response
The task as it is now.curl -X PATCH "https://your-collabase.ch/api/v1/crm/tasks/cm3task001" \
-H "Authorization: Bearer cb_xYz123ABCD..." \
-H "Content-Type: application/json" \
-d '{ "status": "DONE" }'
{ "data": { "id": "cm3task001", "status": "DONE" } }
{ "error": { "code": "NOT_FOUND", "message": "Task not found" } }
Last modified on November 13, 2026